package com.jasamedika.medifirst2000.entities;

import java.io.Serializable;
import org.hibernate.envers.Audited;
import javax.persistence.*;

import org.hibernate.validator.constraints.NotEmpty;

import com.jasamedika.medifirst2000.base.BaseMaster;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.internal.util.logging.Messages;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.BaseMaster;
import com.jasamedika.medifirst2000.helper.Caption;
import org.hibernate.envers.Audited;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;

/**
 * class MorfologiNeoplasma
 * 
 * @author Generator
 */
@Entity // @Audited
@Table(name = "MorfologiNeoplasma_M")
public class MorfologiNeoplasma extends BaseMaster {
	@ManyToOne
	@JoinColumn(name = "ObjectDiagnosaFk")
	@NotNull(message = "Kd Diagnosa tidak boleh kosong")

	@Caption(value = "Object Diagnosa")
	private Diagnosa diagnosa;

	public void setDiagnosa(Diagnosa diagnosa) {
		this.diagnosa = diagnosa;
	}

	public Diagnosa getDiagnosa() {
		return this.diagnosa;
	}

	@Column(name = "ObjectDiagnosaFk", insertable = false, updatable = false)
	private Integer diagnosaId;

	@NotNull(message = "Kd Morfologi Neoplasma tidak boleh kosong")
	@Column(name = "KdMorfologiNeoplasma", nullable = false)
	@Caption(value = "Kode Morfologi Neoplasma")
	private Byte kdMorfologiNeoplasma;

	public void setKdMorfologiNeoplasma(Byte kdMorfologiNeoplasma) {
		this.kdMorfologiNeoplasma = kdMorfologiNeoplasma;
	}

	public Byte getKdMorfologiNeoplasma() {
		return this.kdMorfologiNeoplasma;
	}

	@NotNull(message = "Morfologi Neoplasma tidak boleh kosong")
	@Column(name = "MorfologiNeoplasma", nullable = false, length = 100)
	@Caption(value = "Morfologi Neoplasma")
	private String morfologiNeoplasma;

	public void setMorfologiNeoplasma(String morfologiNeoplasma) {
		this.morfologiNeoplasma = morfologiNeoplasma;
	}

	public String getMorfologiNeoplasma() {
		return this.morfologiNeoplasma;
	}

	@NotNull(message = "QMorfologi Neoplasma tidak boleh kosong")
	@Column(name = "QMorfologiNeoplasma", nullable = false)
	@Caption(value = "QMorfologi Neoplasma")
	private Byte qMorfologiNeoplasma;

	public void setqMorfologiNeoplasma(Byte qMorfologiNeoplasma) {
		this.qMorfologiNeoplasma = qMorfologiNeoplasma;
	}

	public Byte getqMorfologiNeoplasma() {
		return this.qMorfologiNeoplasma;
	}

	@Id
	@GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "public.morfologineoplasma_m_id_seq")
	@javax.persistence.SequenceGenerator(name = "public.morfologineoplasma_m_id_seq", sequenceName = "public.morfologineoplasma_m_id_seq", allocationSize = 1)
	@Column(name = "id")
	protected Integer id;

	public Integer getId() {

		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}
}